Retrieves all the equipment_family objects

Request Information

URI Parameters :

None.

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

equipment_family
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier

Required

name

Name of the equipment family

string

Required

Max length: 50

description

Description of the equipment family

string

Max length: 4000

code

The Id/Ref of the back office. Used by Embedded entity

string

Max length: 50

_parent_id

Parent Equipment Family (Parent / Child) when adding/updating equipment_family

globally unique identifier
_parent_code

Embedded entity "equipment_family" for parent (Parent / Child) using ERP PK when adding/updating equipment_family

string
_parent_equipment_family

Embedded entity "equipment_family" for parent (Parent / Child) when adding/updating equipment_family

equipment_family
sales_organization_id

FK of sales_organization. Filled if specific of one SO, empty if can be used by all

globally unique identifier
sales_organization_code

Embedded entity "sales_organization" using ERP PK when adding/updating company_type

string
sales_organization

Embedded entity "sales_organization" when adding/updating company_type

sales_organization
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Response Formats

application/json, text/json

Sample:
{
  "id": "459906f6-059b-496e-a5b5-c7b899b01742",
  "name": "sample string 2",
  "description": "sample string 3",
  "code": "sample string 4",
  "_parent_id": "c46ec42c-568a-4c88-ace6-33dc9379ae1c",
  "_parent_code": "sample string 6",
  "sales_organization_id": "d5be225f-8a95-4274-834b-52e19317c271",
  "sales_organization_code": "sample string 8",
  "sales_organization": {
    "id": "6bdadfef-b13b-4f31-9673-3fac9f9c78e6",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "db_country_id": "8a20b4c9-a12e-4c9f-bf74-e47275ddb568",
    "db_currency_id": "105a8271-b501-4349-b0e9-d5c5d91e015f",
    "db_language_id": "aef1bbfd-fbbc-41bd-afe2-dba5535efeb5",
    "accountancy_code": "sample string 8",
    "archived": true,
    "default_unit_of_measure_system_type": "sample string 10",
    "street": "sample string 11",
    "street2": "sample string 12",
    "street_number": "sample string 13",
    "zip": "sample string 14",
    "city": "sample string 15",
    "email": "sample string 16",
    "phone": "sample string 17",
    "fax": "sample string 18",
    "url": "sample string 19",
    "vat_reg_code": "sample string 20",
    "modified_dateutc": "2026-04-09T10:31:57.5489564+00:00"
  },
  "modified_dateutc": "2026-04-09T10:31:57.5489564+00:00"
}